package cz.moneta.test.dsl.hypos.pages.contract.approval;

import cz.moneta.test.dsl.hypos.pages.HyposPageFlow;
import cz.moneta.test.harness.context.StoreAccessor;
import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.hypos.pages.contract.approval.ScoringChecklistPage.COMMENT_TEXTAREA;

@Wait(COMMENT_TEXTAREA)
public interface ScoringChecklistPage extends HyposPageFlow<ScoringChecklistPage>, StoreAccessor {
    String COMMENT_TEXTAREA = "//textarea[@name='comment' and not(@disabled)]";
    String SCORING_BUTTON = "//button[text()='Předat na scoring']";

    @Click(SCORING_BUTTON)
    ScoringPage clickHandoverToScoringButton();

    @TypeInto(COMMENT_TEXTAREA)
    ScoringChecklistPage fillComment(String comment);
}